Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Topics - NevzatDurmish

Pages: [1]
1
Hey so I installed 2x version of wc3, both from:

https://eurobattle.net/downloads/home

1.28.5 works just fine, I can log in through Gproxy, but when I try and start the Dota version on 1.26 the game is asking for a version 8.1 version of DirectX OR higher while I have 11....

Do I need to download wc3 1.26 from somewhere else to resolve this issue or is the problem coming from my side?

Pages: [1]